> For the complete documentation index, see [llms.txt](https://docs.wepin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wepin.io/widget-integration/android-java-and-kotlin-sdk/widget-library/installation.md).

# 설치

## 요구사항 <a href="#requirements" id="requirements"></a>

* Android API 버전 <mark style="color:blue;">24</mark> 이상

## 설치하기 <a href="#installation" id="installation"></a>

### Wepin Widget Library를 .gradle에 추가하기  <a href="#add-wepin-widget-library-to-.gradle" id="add-wepin-widget-library-to-.gradle"></a>

프로젝트 레벨의 build gradle 파일에 JitPack 레포지토리를 추가합니다.

```kts
 dependencyResolutionManagement {
     repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)
     repositories {
         google()
         mavenCentral()
         maven("https://jitpack.io") // <= Add JitPack Repository
     }
 }
```

### Wepin Widget Library를 dependencies에 추가하기 <a href="#add-wepin-widget-library-to-dependencies" id="add-wepin-widget-library-to-dependencies"></a>

앱의 build gradle 파일에 아래와 같이 추가 합니다. 버전은 사용하고자 하는 릴리즈 버전을 넣으면 됩니다.&#x20;

Wepin Widget Library 는 1.1.0 버전부터 지원합니다.

```kts
dependencies {
  // ...
  implementation("com.github.WepinWallet:wepin-android-sdk-widget-v1:vX.X.X") 
}
```

## 릴리즈  <a href="#release" id="release"></a>

릴리즈된 패키지 버전은 아래 깃허브에서 확인 가능합니다.&#x20;

{% embed url="<https://github.com/WepinWallet/wepin-android-sdk-widget-v1>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wepin.io/widget-integration/android-java-and-kotlin-sdk/widget-library/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
